<?php 
function korik_custom_css() {
    wp_enqueue_style('korik-custom', get_template_directory_uri() . '/assets/css/custom-style.css' );
    $header_text_color = get_header_textcolor();
    $korik_custom_css = '';
    $korik_custom_css .= '
        .site-title a,
        .site-description {
            color: #'.esc_attr( $header_text_color ).' ;
        }
    ';
    wp_add_inline_style( 'korik-custom', $korik_custom_css );
}
add_action( 'wp_enqueue_scripts', 'korik_custom_css' );